#1960 closed defect (fixed)

ERC32_Is_interrupt_masked for ERC32 in erc32.h

Reported by: Helder Silva Owned by: Jiri Gaisler
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: minor Keywords:
Cc: joel.sherrill@…, daniel@…, gedare@… Blocked By:
Blocking:

Description

The function-like macro ERC32_Is_interrupt_masked defined as:

#define ERC32_Is_interrupt_masked( _source ) \

(ERC32_MEC.Interrupt_Masked & (1 << (_source)))

The ERC32_MEC is of type ERC32_Register_Map structure and Interrupt_Masked does not exist in structure, instead Interrupt_Mask exists.

Proposed solution: The ERC32_Is_interrupt_masked should be updated to:

#define ERC32_Is_interrupt_masked( _source ) \

(REC32_MEC.Interrupt_Mask & (1 << (_source)))

Attachments (1)

0001-sparc-erc32-fix-macro-ERC32_Is_interrupt_masked.patch (894 bytes) - added by Chirayu Desai on 12/11/13 at 15:19:58.
Patch

Download all attachments as: .zip

Change History (5)

comment:1 Changed on 11/10/11 at 12:22:22 by Joel Sherrill

Owner: changed from Joel Sherrill to Jiri Gaisler

comment:2 Changed on 11/10/11 at 12:22:36 by Joel Sherrill

Cc: daniel@… joel.sherrill@… added

comment:3 Changed on 12/11/13 at 15:27:23 by Gedare Bloom

Resolution: fixed
Status: newclosed, gedare@rtems.org

comment:4 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.